<?php

// web routes  for restaurant_app
Route::prefix('{guard}/restaurantapp')->group(function () {
    Route::resource('restaurant_app', 'RestaurantAppResourceController');
});

// Public routes for restaurant_app
Route::get('restaurantapps/', 'RestaurantAppPublicController@index');
Route::get('restaurantapps/{slug?}', 'RestaurantAppPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RestaurantAppResourceController');
            });
            // Public routes for pages
            Route::get('restaurantapps/', 'RestaurantAppPublicController@index');
            Route::get('restaurantapps/{slug?}', 'RestaurantAppPublicController@show');
        }
    );
}

